import { db } from '@/lib/db'
import { hash } from 'bcrypt'
import { NextResponse } from 'next/server'

export async function POST(req: Request) {
    console.log("aaaa", req)

    try {
        const { username, email, password } = await req.json()
        const hashed = await hash(password, 12)

        const user = await db.user.create({
            data: {
                name: username,
                username: username.toLowerCase(),
                email: email.toLowerCase(),
                password: hashed
            }
        })

        return NextResponse.json({
            usernameOrEmail: user.email
        })
    } catch (err: any) {
        return new NextResponse(JSON.stringify({
            error: err.message
        }), { status: 500 }
        )
    }
}

// let isUnique = false;
// while (!isUnique) {
//     const existingUserName = await db.user.findUnique({
//         where: {
//             username: credentials.username
//         }
//     })

//     if (existingUserName) {
//         credentials.username = `${credentials.username}${Math.floor(Math.random() * 1000)}`
//     } else {
//         isUnique = true;
//     }
// }